GET /resource/{dataset_id}.json

cdc.gov:cdc-socrata-api

Summary: Get dataset records
Operation ID: getDatasetRecords
Auth: unknown
Description

Retrieve records from a specific dataset in JSON format. Supports SoQL queries for filtering.

Parameters (7)

$group (string, query, optional)

Group by column(s)

$limit (integer, query, optional, default: 1000)

Maximum number of records to return

$offset (integer, query, optional, default: 0)

Offset for pagination

$order (string, query, optional)

Order results (e.g., 'column ASC')

$select (string, query, optional)

Select specific columns

$where (string, query, optional)

Filter records with SoQL where clause

dataset_id (string, path, required)

Dataset ID (e.g., 9bhg-hcku)

Examples (1)

TitleTypeURLAction
Get dataset records (snake_case variant) probe-gate https://data.cdc.gov/resource/sz5x-j2c3.json?$limit=5

No probe data for this endpoint yet.